Bug 215 - libXt build broken by --prefix=/usr
Summary: libXt build broken by --prefix=/usr
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-23 18:32 UTC by Carlos Romero
Modified: 2011-10-15 17:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
include ObjectP.h Shell.h and Xalloca.h to build in a clean environment (30.98 KB, patch)
2004-02-23 20:45 UTC, Carlos Romero
no flags Details | Splinter Review
Makefile.am changes (2.10 KB, patch)
2004-03-05 07:48 UTC, Stuart Anderson
no flags Details | Splinter Review

Description Carlos Romero 2004-02-23 18:32:27 UTC
make[2]: Entering directory `/usr/src/crashbox/BUILD/libXt-0.1.4'
if /bin/sh ./libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.    
-DXTHREADS -DXUSE_MTSAFE_API   -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wmissing-declarations -Wnested-externs
-fno-strict-aliasing -DXTHREADS -DXUSE_MTSAFE_API   -I./include/X11 -O2 -MT
ActionHook.lo -MD -MP -MF ".deps/ActionHook.Tpo" -c -o ActionHook.lo ActionHook.c; \
then mv -f ".deps/ActionHook.Tpo" ".deps/ActionHook.Plo"; else rm -f
".deps/ActionHook.Tpo"; exit 1; fi
 gcc -DHAVE_CONFIG_H -I. -I. -I. -DXTHREADS -DXUSE_MTSAFE_API -Wall
-Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
-Wnested-externs -fno-strict-aliasing -DXTHREADS -DXUSE_MTSAFE_API
-I./include/X11 -O2 -MT ActionHook.lo -MD -MP -MF .deps/ActionHook.Tpo -c
ActionHook.c  -fPIC -DPIC -o .libs/ActionHook.o
In file included from IntrinsicI.h:54,
                 from ActionHook.c:69:
Xtos.h:58:25: X11/Xalloca.h: No such file or directory
In file included from IntrinsicI.h:55,
                 from ActionHook.c:69:
include/X11/IntrinsicP.h:54:27: X11/Intrinsic.h: No such file or directory
In file included from IntrinsicI.h:55,
                 from ActionHook.c:69:
Comment 1 Carlos Romero 2004-02-23 20:45:47 UTC
Created attachment 106 [details] [review]
include ObjectP.h Shell.h and Xalloca.h to build in a clean environment
Comment 2 Stuart Anderson 2004-03-05 07:47:44 UTC
Xalloca.h has been added to the Xproto module. 
 
ObjectP.h has been moved to include/X11 where most of the rest of the *P.h 
files seem to live. 
 
Sehll.h is generated at build time, like StringDefs.h, so it should be 
installed into include/X1 like StringDefs.h. 
 
While working on the Makefile.am file, I discovered that was no 
xtinclude_HEADERS as seems to be present in other modules. I'm attaching the 
patch to Makefile.am so that someone with more automake knowledge can have a 
look at it before I commit it.  
Comment 3 Stuart Anderson 2004-03-05 07:48:47 UTC
Created attachment 125 [details] [review]
Makefile.am changes
Comment 4 Stuart Anderson 2004-03-05 11:04:50 UTC
Builds ok on x86 & x86_64 
Comment 5 Stuart Anderson 2004-03-05 11:12:33 UTC
Fix committed 
* Makefile.am: 
 Bug #215 - Also shows up when building on clean system with no X installed. 
 Install Shell.h into include/X11 so it can be found 
 Adjusted BUILT_SOURCES and CLEANFILES to match 
 xtinclude_HEADERS was missing 
* ObjectP.h: 
 Move to include/X11 so it can be found by #includes 
 
 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.